Package de.willuhn.jameica.hbci.gui.controller

# Class SepaSammelUeberweisungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferControl<SepaSammelUeberweisung>
de.willuhn.jameica.hbci.gui.controller.SepaSammelUeberweisungControl

public class SepaSammelUeberweisungControl extends AbstractSepaSammelTransferControl<SepaSammelUeberweisung>
Implementierung des Controllers fuer den Dialog "Liste der SEPA-Sammelueberweisungen".

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SepaSammelUeberweisungControl.Typ`
Hilfsklasse fuer den Auftragstyp.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelUeberweisungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.parts.TablePart`
`getBuchungen()`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.
`SepaSammelUeberweisungList`
`getListe()`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.
`de.willuhn.jameica.gui.input.Input`
`getName()`
Ueberschrieben, um einen Namensvorschlag anzuzeigen.
`Class<? extends SynchronizeJob>`
`getSynchronizeJobType()`
Liefert die Synchronize-Job-Art.
`TerminInput`
`getTermin()`
Liefert das Eingabe-Feld fuer den Termin.
`SepaSammelUeberweisung`
`getTransfer()`
Liefert den aktuellen Sammel-Auftrag.
`de.willuhn.jameica.gui.input.SelectInput`
`getTyp()`
Liefert eine Combobox zur Auswahl des Auftragstyps.
`void`
`store()`
Speichert den Auftrag.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractSepaSammelTransferControl

`getBatchBook, getKontoAuswahl, getPmtInfId, getReminderInterval, handleStore`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelUeberweisungControl

public SepaSammelUeberweisungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getName

public de.willuhn.jameica.gui.input.Input getName() throws RemoteException
Ueberschrieben, um einen Namensvorschlag anzuzeigen.

Overrides:
  `getName` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Returns:
  Name des Sammel-Auftrages.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getName()`

### getTyp

public de.willuhn.jameica.gui.input.SelectInput getTyp() throws RemoteException
Liefert eine Combobox zur Auswahl des Auftragstyps. Zur Wahl stehen Ueberweisung, Termin-Ueberweisung und Umbuchung.

Returns:
  die Combobox.
Throws:
  `RemoteException`

### getTermin

public TerminInput getTermin() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert das Eingabe-Feld fuer den Termin.

Overrides:
  `getTermin` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getTermin()`

### getTransfer

public SepaSammelUeberweisung getTransfer() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert den aktuellen Sammel-Auftrag.

Specified by:
  `getTransfer` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Returns:
  Sammel-Auftrag.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getTransfer()`

### getListe

public SepaSammelUeberweisungList getListe() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert eine Tabelle mit den existierenden Sammel-Auftraegen.

Specified by:
  `getListe` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Returns:
  Liste der Sammellastschriften.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getListe()`

### getSynchronizeJobType

public Class<? extends SynchronizeJob> getSynchronizeJobType()
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert die Synchronize-Job-Art.

Specified by:
  `getSynchronizeJobType` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Returns:
  die Synchronize-Job-Art.
See Also:
  - `AbstractSepaSammelTransferControl.getSynchronizeJobType()`

### getBuchungen

public de.willuhn.jameica.gui.parts.TablePart getBuchungen() throws RemoteException
Description copied from class: `AbstractSepaSammelTransferControl`
Liefert eine Liste mit den in diesem Sammel-Auftrag enthaltenen Buchungen.

Specified by:
  `getBuchungen` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `AbstractSepaSammelTransferControl.getBuchungen()`

### store

public void store() throws Exception
Description copied from class: `AbstractSepaSammelTransferControl`
Speichert den Auftrag.

Overrides:
  `store` in class `AbstractSepaSammelTransferControl<SepaSammelUeberweisung>`
Throws:
  `Exception`
See Also:
  - `AbstractSepaSammelTransferControl.store()`